import { EventEmitter, OnInit } from '@angular/core';
import { Icon } from "../../../../enum/icon.enum";
import { IconCacheService } from "../../../../service/icon-cache.service";
export declare class PdfPreviewComponent implements OnInit {
    iconCacheService: IconCacheService;
    showClass(): boolean;
    private _pdfDoc;
    private _waitingToShowDialog;
    set pdfDoc(value: any);
    get pdfDoc(): any;
    disablePdfPreview: boolean;
    showFilePreview: EventEmitter<number>;
    readonly icons: typeof Icon;
    showDialog: boolean;
    constructor(iconCacheService: IconCacheService);
    ngOnInit(): void;
    dialogRequested(): void;
}
